Bug 125272 - [WISH] kio svn missing write support
Summary: [WISH] kio svn missing write support
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kio
Classification: Unclassified
Component: svn (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Mickael Marchand
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-10 08:45 UTC by Roman Fordinal
Modified: 2018-08-24 21:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Fordinal 2006-04-10 08:45:16 UTC
Version:            (using KDE KDE 3.4.3)
Installed from:    Gentoo Packages
OS:                Linux

Please add write support into kio_svn.
Nice to use preffered text editor to direct access into svn repository
Comment 1 Corbin 2006-08-24 02:26:58 UTC
This would be a really useful feature, especially if you use a svn+file on your local system for personal stuff.  Would be really useful to have transparent revision history in KWrite/Kate/KWord/all-other-things-that-support-kio!
Comment 2 Mickael Marchand 2009-02-07 17:54:14 UTC
SVN commit 922841 by marchand:

Here comes write support for kio_svn (taken from "svnput" hack)

CCBUG: 125272

* big fat WARNING *
ok so now you can do :
kwrite svn+ssh://user@host/home/user/myrepos/myfile.txt
and when you save it creates automatically a commit for you.
BUT :
you really can break other people work when working in team, there is NO
single safety check to ensure you are not erasing a just-committed
version by someone else. So use with real care.
on the other hand, it's just great for your own small repository where
you write some book/article/small code.

for some reason I could not understand, kwrite keeps saving remotely
even when the file has not been changed (I mean press save twice, it
will actually do 2 commits to the repository ... I don't know what I
missed there, if anybody knows, I am interested to find a way to stop
that behavior)

PS: please don't test with KDE's SVN or I will be hated ;)

 M  +136 -1    svn.cpp  
 M  +1 -0      svn.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922841
Comment 3 Nate Graham 2018-08-24 21:49:09 UTC
I'm afraid the SVN KIOSlave was never ported to Frameworks 5, and it's not likely that it ever will be, given the continuously decreasing popularity of SVN. Therefore, I have to close this bug report.